MODULE DISLIN_M1
  INTERFACE

! ================================= WGINI  ===============================

      SUBROUTINE WGINI(CTYPE,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CTYPE
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGINI

      SUBROUTINE WGBAS(IP,COPT,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: COPT
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBAS

      SUBROUTINE WGBUT(IP,CSTR,IVAL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,IVAL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBUT

      SUBROUTINE WGOK(IP,ID)
        IMPLICIT NONE
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGOK

      SUBROUTINE WGQUIT(IP,ID)
        IMPLICIT NONE
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGQUIT

      SUBROUTINE WGTXT(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGTXT

      SUBROUTINE WGPOP(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGPOP

      SUBROUTINE WGAPP(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGAPP

      SUBROUTINE WGLTXT(IP,CLAB,CSTR,IPER,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR
        INTEGER, INTENT (IN)  :: IP,IPER
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLTXT

      SUBROUTINE WGFIL(IP,CLAB,CSTR,CMASK,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR,CMASK
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGFIL

      SUBROUTINE WGLAB(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLAB

      SUBROUTINE MSGBOX(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
      END SUBROUTINE MSGBOX

      SUBROUTINE WGPBUT(IP,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGPBUT

      SUBROUTINE WGCMD(IP,CLAB,CSTR,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CLAB,CSTR
        INTEGER, INTENT (IN)  :: IP
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGCMD

      SUBROUTINE WGSCL(IP,CSTR,X1,X2,XVAL,NDEZ,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,NDEZ
        REAL, INTENT (IN)     :: X1,X2,XVAL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGSCL

      SUBROUTINE WGLIS(IP,CSTR,ISEL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,ISEL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGLIS

      SUBROUTINE WGBOX(IP,CSTR,ISEL,ID)
        IMPLICIT NONE
        CHARACTER (LEN = *), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN)  :: IP,ISEL
        INTEGER, INTENT (OUT) :: ID
      END SUBROUTINE WGBOX

      SUBROUTINE WGFIN()
      END SUBROUTINE WGFIN

      SUBROUTINE DWGMSG(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE DWGMSG

      SUBROUTINE DWGBUT(CSTR,IVAL)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
        INTEGER, INTENT (IN OUT) :: IVAL
      END SUBROUTINE DWGBUT

      SUBROUTINE DWGFIL(CLAB,CSTR,CMASK)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CLAB,CMASK
        CHARACTER (LEN=*), INTENT (IN OUT) :: CSTR
      END SUBROUTINE DWGFIL

      SUBROUTINE DWGLIS(CLAB,CLIS,ILIS)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT(IN) :: CLAB,CLIS
        INTEGER, INTENT (IN OUT) :: ILIS
      END SUBROUTINE DWGLIS

      SUBROUTINE DWGTXT(CLAB,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT(IN) :: CLAB
        CHARACTER (LEN=*), INTENT(IN OUT) :: CSTR
      END SUBROUTINE DWGTXT

      SUBROUTINE GWGBUT(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGBUT

      SUBROUTINE GWGLIS(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGLIS

      SUBROUTINE GWGBOX(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        INTEGER, INTENT (OUT) :: IVAL
      END SUBROUTINE GWGBOX

      SUBROUTINE GWGSCL(ID,XVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        REAL, INTENT (OUT) :: XVAL
      END SUBROUTINE GWGSCL

      SUBROUTINE GWGTXT(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
      END SUBROUTINE GWGTXT

      SUBROUTINE GWGFIL(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
      END SUBROUTINE GWGFIL

      SUBROUTINE SWGPOP (COPT)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: COPT
      END SUBROUTINE SWGPOP

      SUBROUTINE SWGBUT(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGBUT

      SUBROUTINE SWGLIS(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGLIS

      SUBROUTINE SWGBOX(ID,IVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID,IVAL
      END SUBROUTINE SWGBOX

      SUBROUTINE SWGSCL(ID,XVAL)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        REAL, INTENT (IN) :: XVAL
      END SUBROUTINE SWGSCL

      SUBROUTINE SWGTXT(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGTXT

      SUBROUTINE SWGFIL(ID,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGFIL

      SUBROUTINE SWGHLP(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGHLP

      SUBROUTINE SWGPOS(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGPOS

      SUBROUTINE SWGSIZ(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGSIZ

      SUBROUTINE SWGWIN(NX,NY,NW,NH)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY,NW,NH
      END SUBROUTINE SWGWIN

      SUBROUTINE SWGOFF(NX,NY)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NX,NY
      END SUBROUTINE SWGOFF

      SUBROUTINE SWGMOD(CMOD)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CMOD
      END SUBROUTINE SWGMOD

      SUBROUTINE SWGTIT(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGTIT

      SUBROUTINE SWGFNT(CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGFNT

      SUBROUTINE SWGTYP (CTYPE,CWIDG)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CTYPE,CWIDG
      END SUBROUTINE SWGTYP

      SUBROUTINE SWGJUS (CTYPE,CWIDG)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CTYPE,CWIDG
      END SUBROUTINE SWGJUS

      SUBROUTINE SWGMIX(C,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: C,CSTR
      END SUBROUTINE SWGMIX

      SUBROUTINE SWGMRG(IVAL,CSTR)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: IVAL
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE SWGMRG

      SUBROUTINE ITMSTR(CLIS,NLIS,CSTR)
        IMPLICIT NONE    
        CHARACTER (LEN=*), INTENT (IN) :: CLIS
        CHARACTER (LEN=*), INTENT (OUT) :: CSTR
        INTEGER, INTENT (IN) :: NLIS
      END SUBROUTINE ITMSTR

      FUNCTION ITMCNT(CLIS) 
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN) :: CLIS
        INTEGER :: ITMCNT
      END FUNCTION ITMCNT

      SUBROUTINE ITMCAT(CLIS,CSTR)
        IMPLICIT NONE
        CHARACTER (LEN=*), INTENT (IN OUT) :: CLIS
        CHARACTER (LEN=*), INTENT (IN) :: CSTR
      END SUBROUTINE ITMCAT

      SUBROUTINE SWGCB (ID, CALLBK)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: ID

        INTERFACE
           SUBROUTINE CALLBK (ID)
             IMPLICIT NONE
             INTEGER, INTENT (IN) :: ID
           END SUBROUTINE CALLBK
        END INTERFACE
      END SUBROUTINE SWGCB

      SUBROUTINE SWGWTH (NWTH)
        IMPLICIT NONE
        INTEGER, INTENT (IN) :: NWTH
      END SUBROUTINE SWGWTH

! ================================= RTIFF  ===============================

    SUBROUTINE RTIFF(CFL)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CFL
    END SUBROUTINE RTIFF

    SUBROUTINE WTIFF(CFL)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CFL
    END SUBROUTINE WTIFF

    SUBROUTINE SYMFIL(CDV,CST)
      IMPLICIT NONE
      CHARACTER (LEN=*), INTENT (IN) :: CDV,CST
    END SUBROUTINE SYMFIL

! ================================= IMGINI ===============================

    SUBROUTINE IMGINI()
    END SUBROUTINE IMGINI

    SUBROUTINE IMGFIN()
    END SUBROUTINE IMGFIN

    SUBROUTINE RIMAGE(CFL)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CFL 
    END SUBROUTINE RIMAGE

    SUBROUTINE RPIXEL(IX,IY,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: IX,IY
      INTEGER, INTENT (OUT) :: N
    END SUBROUTINE RPIXEL

    SUBROUTINE RPIXLS(IRAY,IX,IY,NW,NH)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,NW,NH
    END SUBROUTINE RPIXLS

    SUBROUTINE RPXROW(IRAY,IX,IY,N)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE RPXROW

    SUBROUTINE WIMAGE(CFL)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CFL 
    END SUBROUTINE WIMAGE

    SUBROUTINE WPIXEL(IX,IY,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE WPIXEL

    SUBROUTINE WPIXLS(IRAY,IX,IY,NW,NH)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,NW,NH
    END SUBROUTINE WPIXLS

    SUBROUTINE WPXROW(IRAY,IX,IY,N)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: IX,IY,N
    END SUBROUTINE WPXROW

! ================================= OPENFL ===============================

    SUBROUTINE OPENFL(CSTR,NLU,IRW,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
      INTEGER, INTENT (IN) :: NLU,IRW
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE OPENFL

    SUBROUTINE CLOSFL(NLU)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU
    END SUBROUTINE CLOSFL

    SUBROUTINE READFL(NLU,IRAY,NBYT,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (OUT), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE READFL

    SUBROUTINE WRITFL(NLU,IRAY,NBYT,ISTAT)
      IMPLICIT NONE
      CHARACTER (LEN=1), INTENT (IN), DIMENSION (:) :: IRAY
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE WRITFL

    SUBROUTINE SKIPFL(NLU,NBYT,ISTAT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE SKIPFL

    SUBROUTINE POSIFL(NLU,NBYT,ISTAT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU,NBYT
      INTEGER, INTENT (OUT) :: ISTAT
    END SUBROUTINE POSIFL

    SUBROUTINE TELLFL(NLU,NBYT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NLU
      INTEGER, INTENT (OUT) :: NBYT
    END SUBROUTINE TELLFL

! ================================= OPNWIN ===============================

    SUBROUTINE OPNWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE OPNWIN

    SUBROUTINE CLSWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE CLSWIN

    SUBROUTINE SELWIN(ID)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ID
    END SUBROUTINE SELWIN

    SUBROUTINE WINID(ID)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: ID
    END SUBROUTINE WINID

    SUBROUTINE WINTIT(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE WINTIT

! ================================= FONTS ================================

    SUBROUTINE DUPLX()
    END SUBROUTINE DUPLX

    SUBROUTINE HELVE()
    END SUBROUTINE HELVE

    SUBROUTINE HELVES()
    END SUBROUTINE HELVES

    SUBROUTINE HELVET()
    END SUBROUTINE HELVET

    SUBROUTINE SERIF()
    END SUBROUTINE SERIF

    SUBROUTINE SIMPLX()
    END SUBROUTINE SIMPLX

    SUBROUTINE TRIPLX()
    END SUBROUTINE TRIPLX

! ================================= BARS ================================

    SUBROUTINE BARS(XRAY,Y1RAY,Y2RAY,N)
      IMPLICIT NONE
      REAL, INTENT (IN OUT), DIMENSION (:) :: XRAY,Y1RAY,Y2RAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE BARS

! ================================= BITSI4 ==============================

    SUBROUTINE BITSI2(NBITS,MHER,IHER,MHIN,IHIN,LOB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NBITS,IHER,IHIN,LOB
      INTEGER (KIND=SELECTED_INT_KIND(4)), INTENT (IN) :: MHER
      INTEGER (KIND=SELECTED_INT_KIND(4)), INTENT (IN OUT) :: MHIN
    END SUBROUTINE BITSI2

    SUBROUTINE BITSI4(NBITS,MHER,IHER,MHIN,IHIN,LOB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NBITS,MHER,IHER,IHIN,LOB
      INTEGER, INTENT (IN OUT) :: MHIN
    END SUBROUTINE BITSI4

    SUBROUTINE DATTIM(CDAT,CTIM)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CDAT,CTIM
    END SUBROUTINE DATTIM

    SUBROUTINE SWAPI2(IRAY,N)
      IMPLICIT NONE
      INTEGER (KIND=SELECTED_INT_KIND(4)), DIMENSION (:), &
              INTENT (IN OUT) :: IRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SWAPI2

    SUBROUTINE SWAPI4(IRAY,N)
      IMPLICIT NONE
      INTEGER, DIMENSION (:), INTENT (IN OUT) :: IRAY
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SWAPI4

! ================================= COMPLX ==============================

    SUBROUTINE COMPLX()
    END SUBROUTINE COMPLX

! ================================= CONPTS ==============================

    SUBROUTINE CONPTS(X,N,Y,M,Z,ZLEV,XPTS,YPTS,MAXPTS,NRAY,MAXRAY,NLINS)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      REAL, DIMENSION (:,:), INTENT (IN) :: Z
      INTEGER, INTENT (IN) :: N,M,MAXPTS,MAXRAY
      REAL, INTENT (IN) :: ZLEV
      INTEGER, DIMENSION (:), INTENT (OUT) :: NRAY
      INTEGER, INTENT (OUT) :: NLINS
      REAL, DIMENSION (:), INTENT (OUT) :: XPTS,YPTS
    END SUBROUTINE CONPTS

! ================================= CONSHD ==============================

    SUBROUTINE CONSHD(XRAY,N,YRAY,M,ZMAT,ZLEV,NLRAY)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY,ZLEV
      INTEGER, INTENT (IN) :: N,M,NLRAY
      REAL, DIMENSION (:,:), INTENT (IN) :: ZMAT
    END SUBROUTINE CONSHD

! ================================= CONTUR ==============================

    SUBROUTINE CONTUR(X,N,Y,M,Z,ZLEV)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N,M
      REAL, DIMENSION (:,:), INTENT (IN) :: Z
      REAL, INTENT (IN) :: ZLEV
    END SUBROUTINE CONTUR

! ================================= CURVE ===============================

    SUBROUTINE CURVE(X,Y,N)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: X,Y
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CURVE

! ================================= DISINI ==============================

    SUBROUTINE DISFIN()
    END SUBROUTINE DISFIN

    SUBROUTINE DISINI()
    END SUBROUTINE DISINI

    SUBROUTINE ERASE()
    END SUBROUTINE ERASE

    SUBROUTINE METAFL(CT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CT
    END SUBROUTINE METAFL

    SUBROUTINE SENDBF()
    END SUBROUTINE SENDBF

    SUBROUTINE SETCLR(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE SETCLR

! ================================= DISALF ==============================

    SUBROUTINE DISALF()
    END SUBROUTINE DISALF

! ================================= DISBS1 ==============================

    SUBROUTINE ARCELL(NX,NY,NA,NB,ALPHA,BETA,THETA)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB
      REAL, INTENT (IN)   :: ALPHA,BETA,THETA
    END SUBROUTINE ARCELL

    SUBROUTINE AX2GRF()
    END SUBROUTINE AX2GRF

    SUBROUTINE AXCLRS(N,COPT,CAX)
      IMPLICIT NONE
      INTEGER, INTENT(IN) :: N
      CHARACTER (LEN = *) , INTENT (IN) :: COPT, CAX
    END SUBROUTINE AXCLRS

    SUBROUTINE AXENDS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *) , INTENT (IN) :: COPT, CAX
    END SUBROUTINE AXENDS

    SUBROUTINE AXGIT()
    END SUBROUTINE AXGIT

    SUBROUTINE AXSLEN(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSLEN

    SUBROUTINE AXSORG(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSORG

    SUBROUTINE AXSPOS(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE AXSPOS

    SUBROUTINE AXSTYP(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE AXSTYP

    SUBROUTINE BARWTH(FACT)
      IMPLICIT NONE
      REAL, INTENT (IN) :: FACT
    END SUBROUTINE BARWTH

    SUBROUTINE BASALF(CALPH)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CALPH
    END SUBROUTINE BASALF

    SUBROUTINE BEZIER(XRAY,YRAY,NRAY,X,Y,N)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NRAY,N
      REAL, DIMENSION (:), INTENT (IN)  :: XRAY, YRAY
      REAL, DIMENSION (:), INTENT (OUT) :: X, Y
    END SUBROUTINE BEZIER

    SUBROUTINE BOX2D()
    END SUBROUTINE BOX2D

    SUBROUTINE BTRINI()
    END SUBROUTINE BTRINI

    SUBROUTINE CENTER()
    END SUBROUTINE CENTER

    SUBROUTINE CHAANG(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHAANG

    SUBROUTINE CHNATT()
    END SUBROUTINE CHNATT

    SUBROUTINE CHASPC(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHASPC

    SUBROUTINE CHAWTH(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE CHAWTH

    SUBROUTINE CHNCRV(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CHNCRV

    SUBROUTINE CHNDOT()
    END SUBROUTINE CHNDOT

    SUBROUTINE CHNDSH()
    END SUBROUTINE CHNDSH

    SUBROUTINE CIRCLE(NX,NY,NR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR
    END SUBROUTINE CIRCLE

    SUBROUTINE CIRCSP(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE CIRCSP

    SUBROUTINE CLPBOR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CLPBOR

    SUBROUTINE CLPMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE CLPMOD

    SUBROUTINE CLPWIN(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE CLPWIN

    SUBROUTINE CLRCYC(I,ICLR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,ICLR
    END SUBROUTINE CLRCYC

    SUBROUTINE CLRMOD(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE CLRMOD

    SUBROUTINE COLOR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE COLOR

    SUBROUTINE COMGOT()
      IMPLICIT NONE
    END SUBROUTINE COMGOT

    SUBROUTINE CONNPT(X,Y)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X,Y
    END SUBROUTINE CONNPT

    SUBROUTINE CROSS()
    END SUBROUTINE CROSS

    SUBROUTINE DASH()
    END SUBROUTINE DASH

    SUBROUTINE DASHL()
    END SUBROUTINE DASHL

    SUBROUTINE DASHM()
    END SUBROUTINE DASHM

    SUBROUTINE DAXGIT(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE DAXGIT

    SUBROUTINE DCROSS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE DCROSS

    SUBROUTINE DIGITS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE DIGITS

    SUBROUTINE DNUMQQ(X,NDEZ,NX,NY)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ,NX,NY
    END SUBROUTINE DNUMQQ

    SUBROUTINE DOT()
    END SUBROUTINE DOT

    SUBROUTINE DOTL() 
    END SUBROUTINE DOTL

    SUBROUTINE ELLIPS(NX,NY,NA,NB)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB
    END SUBROUTINE ELLIPS

    SUBROUTINE ELPSLN(NX,NY,NA,NB,A,B,T,ILIN,IOPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NA,NB,ILIN,IOPT
      REAL, INTENT (IN) :: A,B,T
    END SUBROUTINE ELPSLN

    SUBROUTINE EUSHFT(CALPH,CSFT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CALPH,CSFT
    END SUBROUTINE EUSHFT

    SUBROUTINE FCHA(X,NDEZ,NL,CSTR)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ
      INTEGER, INTENT (OUT) :: NL
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE FCHA

    SUBROUTINE FIELD(XRAY,YRAY,URAY,VRAY,N,IVEC)
      IMPLICIT NONE
      REAL, DIMENSION (:), INTENT (IN) :: XRAY,YRAY,URAY,VRAY
      INTEGER, INTENT (IN) :: N,IVEC
    END SUBROUTINE FIELD

    SUBROUTINE FLEN(X,NDEZ,NX)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
      INTEGER, INTENT (IN) :: NDEZ
      INTEGER, INTENT (OUT) :: NX
    END SUBROUTINE FLEN

    SUBROUTINE FILBOX(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NW,NH
    END SUBROUTINE FILBOX

    SUBROUTINE FILCLR(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE FILCLR

    SUBROUTINE FILMOD(CMOD)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CMOD
    END SUBROUTINE FILMOD

    SUBROUTINE FIXSPC(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE FIXSPC

    SUBROUTINE FRAME(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN):: I
    END SUBROUTINE FRAME

    SUBROUTINE FRMESS(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN):: I
    END SUBROUTINE FRMESS

    SUBROUTINE GAPCRV(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE GAPCRV

    SUBROUTINE GAXSOP(CAX,N,I,J,K)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CAX
      INTEGER, INTENT (IN)  :: N
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GAXSOP

    SUBROUTINE GETANG(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETANG

    SUBROUTINE GETBPP(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETBPP

    SUBROUTINE GETAXC(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETAXC

    SUBROUTINE GETCEN(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETCEN

    SUBROUTINE GETCLP(NX,NY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: NX,NY,NW,NH
    END SUBROUTINE GETCLP

    SUBROUTINE GETCLR(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETCLR

    SUBROUTINE GETDIG(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETDIG

    SUBROUTINE GETDSP(CDSP)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CDSP
    END SUBROUTINE GETDSP

    SUBROUTINE GETFIL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE GETFIL

    SUBROUTINE GETGRC(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETGRC

    SUBROUTINE GETGRF(A,E,OR,STEP,COPT)
      IMPLICIT NONE
      REAL, INTENT (OUT) :: A,E,OR,STEP
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE GETGRF

    SUBROUTINE GETHGT(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETHGT

    SUBROUTINE GETLAB(C1,C2,C3)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: C1,C2,C3
    END SUBROUTINE GETLAB

    SUBROUTINE GETLEN(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETLEN

    SUBROUTINE GETLEV(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETLEV

    SUBROUTINE GETLIN(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETLIN

    SUBROUTINE GETMFL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (OUT) :: CSTR
    END SUBROUTINE GETMFL

    SUBROUTINE GETOR(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETOR

    SUBROUTINE GETPAG(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETPAG

    SUBROUTINE GETPAT(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETPAT

    SUBROUTINE GETPOS(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETPOS

    SUBROUTINE GETRGB(XR,XG,XB)
      IMPLICIT NONE
      REAL, INTENT (OUT) :: XR,XG,XB
    END SUBROUTINE GETRGB

    SUBROUTINE GETSCL(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSCL

    SUBROUTINE GETSP1(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSP1

    SUBROUTINE GETSP2(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETSP2

    SUBROUTINE GETSYM(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETSYM

    SUBROUTINE GETTCL(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J
    END SUBROUTINE GETTCL

    SUBROUTINE GETTIC(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETTIC

    SUBROUTINE GETTYP(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETTYP

    SUBROUTINE GETUNI(I)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I
    END SUBROUTINE GETUNI

    SUBROUTINE GETVK(I,J,K)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: I,J,K
    END SUBROUTINE GETVK

    SUBROUTINE GETWIN(IX,IY,NW,NH)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: IX,IY,NW,NH
    END SUBROUTINE GETWIN

    SUBROUTINE GETXID (IVAL, COPT)
      IMPLICIT NONE
      INTEGER, INTENT (OUT) :: IVAL
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE GETXID

    SUBROUTINE GNUSTR(CT,NL,CMOD)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NL
      CHARACTER (LEN = *), INTENT (IN)  :: CMOD
      CHARACTER (LEN = *), INTENT (OUT) :: CT
    END SUBROUTINE GNUSTR

    SUBROUTINE GRACE(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE GRACE

    SUBROUTINE GRDPOL(IGRD,JGRD)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: IGRD,JGRD
    END SUBROUTINE GRDPOL

    SUBROUTINE GRID(I,J)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,J
    END SUBROUTINE GRID

    SUBROUTINE HIDLIN(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE HIDLIN

    SUBROUTINE HNAME(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HNAME

    SUBROUTINE HSYMBL(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HSYMBL

    SUBROUTINE HTITLE(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE HTITLE

    SUBROUTINE HWFONT()
    END SUBROUTINE HWFONT

    SUBROUTINE HWORIG(NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE HWORIG

    SUBROUTINE HWPAGE(NXP,NYP)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NXP,NYP
    END SUBROUTINE HWPAGE

    SUBROUTINE IANGLE(N)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: N
    END SUBROUTINE IANGLE

    SUBROUTINE INCCRV(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE INCCRV

    SUBROUTINE INCFIL(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE INCFIL

    SUBROUTINE INCMRK(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE INCMRK

    SUBROUTINE INITYP()
    END SUBROUTINE INITYP

    SUBROUTINE INTAX()
    END SUBROUTINE INTAX

    SUBROUTINE INTCHA(NUM,N,CNUM)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NUM
      INTEGER, INTENT (OUT) :: N
      CHARACTER (LEN = *), INTENT (OUT) :: CNUM
    END SUBROUTINE INTCHA

    SUBROUTINE INTLEN(NM,NLAEN)
      IMPLICIT NONE
      INTEGER, INTENT (IN)  :: NM
      INTEGER, INTENT (OUT) :: NLAEN
    END SUBROUTINE INTLEN

    SUBROUTINE KDARC(NX,NY,NR,NR1,ALPHA,BETA,NCLR)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY,NR,NR1,NCLR
      REAL, INTENT (IN) :: ALPHA,BETA
    END SUBROUTINE KDARC

    SUBROUTINE LABCLR(ICLR,COPT)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ICLR
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LABCLR

    SUBROUTINE LABDIS(I,CAX)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
      CHARACTER (LEN = *), INTENT (IN) :: CAX
    END SUBROUTINE LABDIS

    SUBROUTINE LABELS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABELS

    SUBROUTINE LABJUS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABJUS

    SUBROUTINE LABPOS(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABPOS

    SUBROUTINE LABTYP(COPT,CAX)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT,CAX
    END SUBROUTINE LABTYP

    SUBROUTINE LEGCLR()
    END SUBROUTINE LEGCLR

    SUBROUTINE LEGOPT(X1,X2,X3)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X1,X2,X3
    END SUBROUTINE LEGOPT

    SUBROUTINE LEGPAT(ILIN,ITHK,ISYM,ICLR,IPAT,I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: ILIN,ITHK,ISYM,ICLR,IPAT,I
    END SUBROUTINE LEGPAT

    SUBROUTINE LEGPOS(NX,NY)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: NX,NY
    END SUBROUTINE LEGPOS

    SUBROUTINE LEGTIT(CSTR)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: CSTR
    END SUBROUTINE LEGTIT

    SUBROUTINE LFTTIT()
    END SUBROUTINE LFTTIT

    SUBROUTINE LINCYC(I,ILIN)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I,ILIN
    END SUBROUTINE LINCYC

    SUBROUTINE LINESP(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE LINESP

    SUBROUTINE LINWID(I)
      IMPLICIT NONE
      INTEGER, INTENT (IN) :: I
    END SUBROUTINE LINWID

    SUBROUTINE LNCAP(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LNCAP

    SUBROUTINE LNJOIN(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LNJOIN

    SUBROUTINE LNMLT(X)
      IMPLICIT NONE
      REAL, INTENT (IN) :: X
    END SUBROUTINE LNMLT

    SUBROUTINE LOGTIC(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LOGTIC

    SUBROUTINE LSECHK(COPT)
      IMPLICIT NONE
      CHARACTER (LEN = *), INTENT (IN) :: COPT
    END SUBROUTINE LSECHK

  END INTERFACE
END MODULE DISLIN_M1
